function init(hero) {
    hero.setName("Groot");
    hero.setTier(5);
    
    hero.setHelmet("Head");
    hero.setChestplate("Torso");
    hero.setLeggings("Legs");
    hero.setBoots("Feet");
	
    hero.addPowers("tgheroes:flora_phys");
    hero.addAttribute("PUNCH_DAMAGE", 8.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    
    hero.addKeyBind("TENTACLE_JAB", "Vine Jab", 1);
    hero.addKeyBind("TENTACLE_GRAB", "Vine Grab", 2);
    hero.addKeyBind("TENTACLE_STRIKE", "Vine Strike", 3);
    hero.addKeyBind("TENTACLES", "Vine", 5);
    
    hero.setKeyBindEnabled(isKeyBindEnabled);
	hero.setDefaultScale(1.8); 
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind == "TENTACLES" || entity.getData("fiskheroes:tentacles") != null;
}






